# Introductions(a minute or 2 ~)
* Name 

# The concept of radio (3 min ~)

Radio refers to the wireless transmission of information via electromagnetic waves in the radio frequency (RF) spectrum, ranging from 3 kHz to 300 GHz.

**Key Points**:

1. **Frequency & Wavelength**: Defined by the relationship c=λνc=λν, where cc is the speed of light, λλ is wavelength, and νν is frequency.
2. **Modulation**: Techniques like AM and FM modify radio waves to carry information.
3. **Transmitter & Receiver**: Essential components for generating, sending, and receiving radio signals.
4. **Antennas**: Influence the range and quality of transmission and reception.
5. **Propagation**: How radio waves travel, affected by factors like frequency and terrain.

**Applications**: Beyond FM/AM broadcasting, radio is used in mobile communication, GPS, radar, and remote controls.

Challenges in the field include spectrum congestion, but innovations like cognitive radio are paving the way for improved radio communication.

# HF, VHF & UHF - What we do there as amateur radio hobbyists (5 min ~)

1. **HF (3-30 MHz)**:
   - **Reach**: Enables long-distance (DX) communication, often worldwide.
   - **Usage**: Popular for voice (SSB), Morse code (CW), and digital modes like FT8.
   - **Propagation**: Relies on ionospheric reflections, making communication conditions vary with time of day and solar activity.
2. **VHF (30-300 MHz)**:
   - **Reach**: Typically limited to line-of-sight, with ranges extending to a few hundred kilometers.
   - **Usage**: Common for local chats, repeater communication, and satellite operations.
   - **Propagation**: Occasional tropospheric ducting can extend the range, especially during meteorological events.
3. **UHF (300 MHz-3 GHz)**:
   - **Reach**: Generally local, but can be extended with the use of repeaters and satellite links.
   - **Usage**: Popular for digital voice modes, television, and moonbounce (EME) communication.
   - **Propagation**: Affected by terrain and urban structures, but less susceptible to atmospheric noise.

**Activities & Pursuits**:

- **DXpeditions**: Expeditions to remote areas to make rare contacts.
- **Contesting**: Competitive events to make as many contacts in a set period.
- **Satellite & ISS Communication**: Using satellites and the International Space Station as relay points.
- **Fox Hunting**: A playful pursuit to locate hidden transmitters.

Hobbyists in this field enjoy a mix of technical experimentation, global community, and the thrill of unpredictable communication conditions.



Approx. 35 minutes of talking(including the optional). Can reduce it to 30. I would greatly appreciate if you gave me feedback on this rough transcript.

# What hardware do we use? (5 min~)

## Radios

* HTs -> walkie-talkies(Sorted by price)

  * Baofengs (don't use those for long)

  * Mid-end chinese talkies (Anytone, Hytera)

  * the Kenwood yaesu icom Cabal

    

* QRPs -> Low-power HF transceivers

  * Icom 705

  * (tr)uSDX

  * DIY

    

* SDRs -> Big range (trans) receivers(Price again)

  * RTL-SDR(Generic version is open-source, the RTLSDR v3 is not)
  * HackRF(Open source), KrakenSDR, Nooelec
  * Bigger ones(BladeRF)

* HF rigs -> mid-high power HF transceivers

  * ### **Xiegu G90 HF**

  * Icom 7800

  * Yaesu Original FT-891

* Other notable hardware(FOSS)
  * MMDVM hat
  * [AIOC](https://github.com/skuep/AIOC)

# What software do we use? (SDR interfaces - openwebrx, Rig controllers, Modems for packet radio )(7 min~)

Everything I mention here is FOS.

## GNURadio

GNU Radio is a free, open-source toolkit that provides signal processing blocks to implement software radios. It can be used with readily  available, low-cost external RF hardware to create software-defined  radios (SDRs), or without hardware in a simulation-like environment.  It's widely used in hobbyist, academic, and commercial environments to  support both wireless communications research and real-world radio  systems.

## SDR & webSDR - Fan favorite 

* SDR++ - an SDR controllerare built on the foundations
* GQRX
* CubicSDR
* SDRangel
* Openwebrx - web sdr

## Digital decoding

* WSJT - WSPR
* FLDigi - most digital modes
* Pi-star + MMDVM hat for raspi. Digital mode router for everyone!



## And many more, for many more reasons! (Collection of open source radio programs)

https://github.com/DD5HT/awesome-hamradio



# SDRs(7 min~)(Optional, if time allows it)

* Great introduction to the hobby, especially for technical people.

  1. **Radio Scanning**:

     - **Description**: Tune into a wide range of frequencies, from commercial FM broadcasts to aviation and marine bands.
     - **Fun Fact**: Many hobbyists use SDRs to listen to air traffic control, which offers a behind-the-scenes look at airport operations.

  2. **Signal Decoding**:

     - **Description**: Decode various digital signals, from weather satellite images to pager messages.

     - **Fun Fact**: It's possible to capture and decode images from passing weather satellites using just an SDR and a simple antenna!

       ![Weather](https://git.confest.im/Space_Enjoyers/satExplore/media/branch/master/images/NOAA_19_11-06-2023.png)

     

  3. **Reverse Engineering**:

     - **Description**: Analyze and understand unknown signals, which could be anything from a garage door opener to a wireless keyboard.

     - **Fun Fact**: Some hobbyists have successfully reverse-engineered proprietary protocols, leading to improved open-source tools for the community.

       [My RC car project](https://git.confest.im/Space_Enjoyers/the-wonders-of-ham-radio/src/branch/master/code)

  4. **DIY Projects**:

     - **Description**: Create custom radio solutions, like a homemade beacon transmitter or home automations.

  5. **Digital Modes Exploration**:

     - **Description**: Dive into various digital communication modes, such as FT8, PSK31, and many more.
     - **Fun Fact**: Some of these modes allow for long-distance communication with minimal power, making them popular in the amateur radio community, as well for affordable SDR transceivers, as they don't have a lot of transmitting power.

  6. **Radio Astronomy**:

     - **Description**: Use SDRs for basic radio astronomy projects, like detecting solar flares or Jupiter's radio emissions.
     - **Fun Fact**: With a larger antenna setup, one can even attempt to detect signals from distant galaxies!

  7. **Networking Experiments**:

     - **Description**: Set up mesh networks or explore new wireless communication protocols.

# The Confluence of FOSS & HAM(7 min~)

The Free and Open Source Software (FOSS) community and Amateur Radio (HAM) enthusiasts share more than just parallel values; they represent a confluence of ideologies and aspirations that drive innovation and progress. The spirit of FOSS lies in the belief that software should be free not just in terms of cost, but also in terms of accessibility, transparency, and the freedom to modify and distribute. Similarly, Amateur Radio is not just about communication; it's about the spirit of exploration, understanding the intricacies of radio waves, and connecting people from different corners of the world.

Both communities thrive on the principles of mutual respect and cooperative endeavor. They are built on the foundations of peer-to-peer learning, where seasoned experts and novices alike exchange ideas, troubleshoot problems, and celebrate achievements. This shared ethos fosters an environment where innovation is not only encouraged but is often a natural byproduct.

Moreover, the synergies between FOSS and HAM are evident in the numerous projects that merge the two fields. For instance, open-source software tools are frequently used to design, simulate, and operate radio equipment. Conversely, HAM enthusiasts often contribute to FOSS projects by providing real-world feedback, testing, and even code contributions.

For the curious minds that find themselves at this intersection, the possibilities are truly boundless. The fusion of software coding with radio communication allows for the exploration of new frontiers in technology. From developing digital communication protocols to experimenting with software-defined radios, the blend of these two worlds opens doors to pioneering advancements.

In a broader sense, this union underscores the importance of community-driven endeavors in the modern age. As the world becomes increasingly interconnected, the values of openness, collaboration, and shared knowledge championed by both FOSS and HAM communities will play a pivotal role in shaping the future of technology and communication. For
